# NotizenApp mit Mochatests

Basierend auf HTML, Javascript und Web Storage. Die Tests basieren auf Mocha und der Assertion Library Chai.


## Usage

Zum Verwenden des Projekts wird Visual Studio Code empfohlen. Zum Starten der WebApp im Ordner "appV1" die index.html aufrufen.
Zum Starten der Tests die test.html im Ordner "test" innerhalb von "appV1" aufrufen.

## Ordner appV1

index.html, Unterordner, Image einkaufswagen.jpg

### Ordner scripts

Javascript Dateien zur WebApp.

### Ordner lib

es6-shim.min, jquery-2.2.4.min

### Ordner img

Favicon

### Ordner Eintrag

eintraege.html

### Ordner css

mobile.css

### Ordner test

test.html und dazugehöriges Testscript test.js.

## Ordner MochaTutorial und StartMochaTutorial

Mocha/Chai Tests aus Tutorials.

